%define major		1.1
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d
%define libnamewdt	%mklibname %{name}-widgets %{major}
%define develnamewdt	%mklibname %{name}-widgets -d
%define libnameqml	%mklibname %{name}-qml %{major}
%define develnameqml	%mklibname %{name}-qml -d
%define libnamecore	%mklibname %{name}-core %{major}
%define develnamecore	%mklibname %{name}-core -d

Name:		vlc-qt
Version:	1.1.0
Release:	%mkrel 4
Summary:	A simple library to connect Qt application with libvlc
License:	GPLv3+
Group:		System/Libraries
URL:		http://vlc-qt.tano.si/
# Generated by github https://github.com/ntadej/vlc-qt
Source0:	%{name}-%{version}.tar.gz
BuildRequires:	cmake
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Quick)
BuildRequires:	pkgconfig(Qt5QuickTest)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(libvlc)

%description
VLC-Qt is a free library used to connect Qt and libvlc libraries.
It contains core classes for main media playback and also some GUI
classes for faster media player development.

#----------------------------------------------------------------------------

%package -n	%{libname}
Summary:	A simple library to connect Qt application with libvlc (core)
Group:		System/Libraries
Requires:       %{name} = %{version}-%{release}

%description -n	%{libname}
VLC-Qt is a free library used to connect Qt and libvlc libraries.
It contains core classes for main media playback and also some GUI
classes for faster media player development.

This package contains %{name} core library.

#----------------------------------------------------------------------------

%package -n	%{develname}
Summary:	Headers and development libraries for vlc-qt core library
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
Headers and development libraries for %{name} core library.

#----------------------------------------------------------------------------

%package -n	%{libnamewdt}
Summary:	A simple library to connect Qt application with libvlc (widgets)
Group:		System/Libraries

%description -n	%{libnamewdt}
VLC-Qt is a free library used to connect Qt and libvlc libraries.
It contains core classes for main media playback and also some GUI
classes for faster media player development.

This package contains %{name} widgets library.

#----------------------------------------------------------------------------

%package -n	%{develnamewdt}
Summary:	Headers and development libraries for vlc-qt widgets library
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Requires:	%{libnamewdt} = %{version}-%{release}
Requires:	%{develname} = %{version}-%{release}
Provides:	%{name}-widgets-devel = %{version}-%{release}

%description -n	%{develnamewdt}
Headers and development libraries for %{name} widgets library.

#----------------------------------------------------------------------------

%package -n	%{libnameqml}
Summary:	A simple library to connect Qt application with libvlc (qml)
Group:		System/Libraries

%description -n	%{libnameqml}
VLC-Qt is a free library used to connect Qt and libvlc libraries.
It contains core classes for main media playback and also some GUI
classes for faster media player development.

This package contains %{name} qml library.

#----------------------------------------------------------------------------

%package -n	%{develnameqml}
Summary:	Headers and development libraries for vlc-qt qml library
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Requires:	%{libnameqml} = %{version}-%{release}
Requires:	%{develname} = %{version}-%{release}
Provides:	%{name}-qml-devel = %{version}-%{release}

%description -n	%{develnameqml}
Headers and development libraries for %{name} qml library.

#----------------------------------------------------------------------------

%package -n	%{libnamecore}
Summary:	A simple library to connect Qt application with libvlc (core)
Group:		System/Libraries

%description -n	%{libnamecore}
VLC-Qt is a free library used to connect Qt and libvlc libraries.
It contains core classes for main media playback and also some GUI
classes for faster media player development.

This package contains %{name} core library.

#----------------------------------------------------------------------------

%package -n	%{develnamecore}
Summary:	Headers and development libraries for vlc-qt core library
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Requires:	%{libnamecore} = %{version}-%{release}
Requires:	%{develname} = %{version}-%{release}
Provides:	%{name}-core-devel = %{version}-%{release}

%description -n	%{develnamecore}
Headers and development libraries for %{name} core library.

#----------------------------------------------------------------------------


%prep
%setup -q

%build
%cmake_qt5 \
	%ifarch x86_64
	-DLIB_SUFFIX=64 \
	%endif
	-DCMAKE_INSTALL_PREFIX="%{_prefix}" \
	-DCMAKE_CXX_FLAGS_RELEASE=
%make_build

%install
%make_install -C build


# FIXME
mv -fv %{buildroot}%{_prefix}/qml/VLCQt/libVLCQ* %{buildroot}%{_libdir}
mkdir -p %{buildroot}%{_qt5_qml}/
mv -fv %{buildroot}/usr/qml/VLCQt %{buildroot}%{_qt5_qml}/

%files  -n %{name}
%{_qt5_qml}/VLCQt/

%files  -n %{develname}
%{_libdir}/cmake/VLCQt/
%{_libdir}/libVLCQt.so

%files  -n %{libname}
%{_libdir}/libVLCQt.so.%{major}
%{_libdir}/libVLCQt.so.%{major}.*

%files  -n %{libnamewdt}
%{_libdir}/libVLCQtWidgets.so.%{major}
%{_libdir}/libVLCQtWidgets.so.%{major}.*

%files  -n %{develnamewdt}
%{_libdir}/pkgconfig/libVLCQtWidgets.pc
%{_libdir}/libVLCQtWidgets.so
%{_includedir}/VLCQtWidgets/
%{_libdir}/cmake/VLCQtWidgets/

%files  -n %{libnameqml}
%{_libdir}/libVLCQtQml.so.%{major}
%{_libdir}/libVLCQtQml.so.%{major}.*

%files  -n %{develnameqml}
%{_libdir}/pkgconfig/libVLCQtQml.pc
%{_libdir}/libVLCQtQml.so
%{_includedir}/VLCQtQml/
%{_libdir}/cmake/VLCQtQml/

%files  -n %{libnamecore}
%{_libdir}/libVLCQtCore.so.%{major}
%{_libdir}/libVLCQtCore.so.%{major}.*

%files  -n %{develnamecore}
%{_libdir}/pkgconfig/libVLCQtCore.pc
%{_libdir}/libVLCQtCore.so
%{_includedir}/VLCQtCore/
%{_libdir}/cmake/VLCQtCore/


%changelog
* Mon Jun 05 2017 daviddavid <daviddavid> 1.1.0-4.mga6
+ Revision: 1106868
- split out all Qt5 BRs
- remove some no more needed cmake option

* Sun Jun 04 2017 neoclust <neoclust> 1.1.0-3.mga6
+ Revision: 1106544
- Rebuild with fixed devel package name
- Fix libname
- New version 1.1.0

* Thu Jan 28 2016 neoclust <neoclust> 0.10.0-2.mga6
+ Revision: 928546
- Fix build on ARM

* Sun Nov 22 2015 alexl <alexl> 0.10.0-1.mga6
+ Revision: 904959
- version 0.10.0
- del upstreamed patches
- new url
- s/makeinstall_std/make_install/
- enable parallel build

* Wed Feb 18 2015 luigiwalser <luigiwalser> 0.9.0-8.mga5
+ Revision: 815578
- rebuild for VLC 2.2.0 and libvlccore8

* Mon Dec 29 2014 alexl <alexl> 0.9.0-7.mga5
+ Revision: 807073
-fixed building qml libs

* Wed Oct 15 2014 umeabot <umeabot> 0.9.0-6.mga5
+ Revision: 746637
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.9.0-5.mga5
+ Revision: 690226
- Mageia 5 Mass Rebuild

* Wed Apr 09 2014 daviddavid <daviddavid> 0.9.0-4.mga5
+ Revision: 613055
- enable Qt5 QML module
- switch to Qt5 builder (source package allows it)
- add BR (Qt5Quick)
- add a Patch1 to fix missing pkgconfig files
- fix duplicate headers files on devel packages
- fix cmake and make build (workaround)
- rename Patch0

* Tue Apr 08 2014 daviddavid <daviddavid> 0.9.0-3.mga5
+ Revision: 612921
- rebuild for new cleaned spec file
- fix some macro and typo

* Mon Apr 07 2014 alexl <alexl> 0.9.0-2.mga5
+ Revision: 612499
- add linkage patch
- rewrite spec

* Sun Apr 06 2014 alexl <alexl> 0.9.0-1.mga5
+ Revision: 612426
- imported package vlc-qt

